Bug 865347 - RFE: Hypervisor installer should change host's IO scheduler to deadline for improved performance
Summary: RFE: Hypervisor installer should change host's IO scheduler to deadline for i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack
Version: 1.0 (Essex)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: snapshot4
: 2.1
Assignee: Martin Magr
QA Contact: Nir Magnezi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-11 09:31 UTC by Yaniv Kaul
Modified: 2016-04-26 22:11 UTC (History)
8 users (show)

Fixed In Version: openstack-packstack-2012.2.3-0.1.dev454
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-21 18:22:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0671 normal SHIPPED_LIVE Moderate: openstack-packstack security and bug fix update 2013-03-21 22:22:21 UTC

Description Yaniv Kaul 2012-10-11 09:31:40 UTC
Description of problem:
The IO performance of VMs when running on a host with the IO scheduler set as deadline is better than when running with the default scheduler (CFQ). The os-installer should change the IO scheduler.

Just add elevator=deadline to the kernel args.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Perry Myers 2013-01-10 16:25:38 UTC
Perf team used to have a tool called tuna that made it possible to apply profiles to hosts, and one of the profiles was for a 'kvm host'

@mwagner, can you assist with info here?

Comment 3 Yaniv Kaul 2013-01-10 16:35:32 UTC
(In reply to comment #2)
> Perf team used to have a tool called tuna that made it possible to apply
> profiles to hosts, and one of the profiles was for a 'kvm host'
> 
> @mwagner, can you assist with info here?

I thought Packstack was going to use otopi/ovirt-host-deploy.
It's available there:
http://gerrit.ovirt.org/gitweb?p=ovirt-host-deploy.git;a=blob;f=src/plugins/ovirt-host-deploy/tune/iosched.py;hb=HEAD

Comment 4 Mark Wagner 2013-01-10 19:52:08 UTC
Hi, tuned is a user space package that controls the profiles. There are profiles for virtual-host and virtual-guest amongst others. It should be possible to install and configure the  use of the virtual-host profile. 

Note that tuna is a different tool.

Comment 5 Derek Higgins 2013-01-23 08:09:39 UTC
I have to translate this into a equivalent puppet manifest but would something like this be appropriate ?

if ! tuned-adm active | grep virtual-host 2> /dev/null ; then
    tuned-adm profile virtual-host
fi

This probably changes more then just the IO scheduler but its all good stuff right?

Also does this changed persist on reboot?

thanks,
Derek.

Comment 6 Derek Higgins 2013-02-21 13:17:04 UTC
Fix submitted upstream
https://review.openstack.org/#/c/22540/

Comment 8 Nir Magnezi 2013-03-13 12:20:09 UTC
Verified NVR: openstack-packstack-2012.2.3-0.1.dev454.el6ost.noarch

1. Verified that 'tuned-adm active | grep virtual-host' returned no output.
2. Used packstack to install openstack.
3. Verified Active Profile again:

# tuned-adm active | grep virtual-host
Current active profile: virtual-host

Comment 11 errata-xmlrpc 2013-03-21 18:22:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0671.html


Note You need to log in before you can comment on or make changes to this bug.